#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_SeniorItemExchangeCFGData
{
	//编号
	int mID;
	//类型
	int mType;
	//道具ID
	std::vector<int> mItemId;
	//道具数量
	std::vector<int> mItemCount;
	//兑换道具id
	std::vector<int> mExchangeItemId;
	//兑换道具数量
	std::vector<int> mExchangeItemCount;
	//兑换道具权重
	std::vector<int> mExchangeItemWeight;
};

class Fish_SeniorItemExchangeCFG
{
public:
private:
	static std::auto_ptr<Fish_SeniorItemExchangeCFG> msSingleton;
public:
	int GetCount();
	const Fish_SeniorItemExchangeCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_SeniorItemExchangeCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_SeniorItemExchangeCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_SeniorItemExchangeCFGData> mMapData;
};
